#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityLuckyFishCFGData
{
	//编号
	int mID;
	//最小倍率
	int mminRate;
	//最大倍率
	int mmaxRate;
	//权重
	int mweight;
};

class M_ActivityLuckyFishCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyFishCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyFishCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityLuckyFishCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityLuckyFishCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityLuckyFishCFGData> mMapData;
};
